Bukkit, CraftBukkit, Spigot & BungeeCord 1.14.4 Development Builds

Discussion in 'News and Announcements' started by md_5, Apr 23, 2019.

  1. Working nicely, thanks.
     
    • Like Like x 1
  2. That's not my case. My GUI API broke apart (inventory titles and items lores are not working), entity types all got renamed and regenerating chunks make the server fires tons of UnsupportedOperationException.

    Yet, the newly introduced API looks absolutely great and I'm definitely tuned in. I'm planning to wait at least for the 1.14 official release, so that some more bugs get fixed. So no worries nor complaints here, just a huge thanks for this pre-release that comes just in time for us to test things ! Thanks mD_5 :slight_smile:
     
  3. And consequently I have been grinding mcMMO in 1.14 for the last 2 hours, THANKS, another afternoon wasted :D

    Another one: CMI, has been working just fine out of the box (for like 90%)

    I have a feeling that you might need to rework it to use at least expected 27+ slots (3 rows required now?)
     
  4. Nice... Looking forward to updating my server to 1.14 when it becomes stable. :)
     
    • Like Like x 1
  5. *sigh*

    yet again having problems with buildtools
    Code (Text):
    [INFO] -------------------------------------------------------------
    [ERROR] COMPILATION ERROR :
    [INFO] -------------------------------------------------------------
    [ERROR] C:\Users\Samuel\BuildTools\Bukkit\src\main\java\org\bukkit\command\defaults\VersionCommand.java:[6,172] The import com.google.gson.Gson cannot be resolved
    [ERROR] C:\Users\Samuel\BuildTools\Bukkit\src\main\java\org\bukkit\command\defaults\VersionCommand.java:[241,9005] Gson cannot be resolved to a type
    [ERROR] C:\Users\Samuel\BuildTools\Bukkit\src\main\java\org\bukkit\command\defaults\HelpCommand.java:[11,265] The import org.apache.commons.lang.ArrayUtils cannot be resolved
    [ERROR] C:\Users\Samuel\BuildTools\Bukkit\src\main\java\org\bukkit\command\defaults\HelpCommand.java:[49,1680] ArrayUtils cannot be resolved
    [ERROR] C:\Users\Samuel\BuildTools\Bukkit\src\main\java\org\bukkit\conversations\BooleanPrompt.java:[3,42] The import org.apache.commons.lang.ArrayUtils cannot be resolved
    [ERROR] C:\Users\Samuel\BuildTools\Bukkit\src\main\java\org\bukkit\conversations\BooleanPrompt.java:[4,85] The import org.apache.commons.lang.BooleanUtils cannot be resolved
    [ERROR] C:\Users\Samuel\BuildTools\Bukkit\src\main\java\org\bukkit\conversations\BooleanPrompt.java:[21,761] ArrayUtils cannot be resolved
    [ERROR] C:\Users\Samuel\BuildTools\Bukkit\src\main\java\org\bukkit\conversations\BooleanPrompt.java:[28,1183] BooleanUtils cannot be resolved
    [INFO] 8 errors
    [INFO] -------------------------------------------------------------
    [INFO] ------------------------------------------------------------------------
    [INFO] BUILD FAILURE
    [INFO] ------------------------------------------------------------------------
    [INFO] Total time:  13.122 s
    [INFO] Finished at: 2019-04-23T13:02:07+01:00
    [INFO] ------------------------------------------------------------------------
    [ERROR] Failed to execute goal org.apache.maven.plugins:maven-compiler-plugin:3.8.0:compile (default-compile) on project bukkit: Compilation failure: Compilation failure:
    [ERROR] C:\Users\Samuel\BuildTools\Bukkit\src\main\java\org\bukkit\command\defaults\VersionCommand.java:[6,172] The import com.google.gson.Gson cannot be resolved
    [ERROR] C:\Users\Samuel\BuildTools\Bukkit\src\main\java\org\bukkit\command\defaults\VersionCommand.java:[241,9005] Gson cannot be resolved to a type
    [ERROR] C:\Users\Samuel\BuildTools\Bukkit\src\main\java\org\bukkit\command\defaults\HelpCommand.java:[11,265] The import org.apache.commons.lang.ArrayUtils cannot be resolved
    [ERROR] C:\Users\Samuel\BuildTools\Bukkit\src\main\java\org\bukkit\command\defaults\HelpCommand.java:[49,1680] ArrayUtils cannot be resolved
    [ERROR] C:\Users\Samuel\BuildTools\Bukkit\src\main\java\org\bukkit\conversations\BooleanPrompt.java:[3,42] The import org.apache.commons.lang.ArrayUtils cannot be resolved
    [ERROR] C:\Users\Samuel\BuildTools\Bukkit\src\main\java\org\bukkit\conversations\BooleanPrompt.java:[4,85] The import org.apache.commons.lang.BooleanUtils cannot be resolved
    [ERROR] C:\Users\Samuel\BuildTools\Bukkit\src\main\java\org\bukkit\conversations\BooleanPrompt.java:[21,761] ArrayUtils cannot be resolved
    [ERROR] C:\Users\Samuel\BuildTools\Bukkit\src\main\java\org\bukkit\conversations\BooleanPrompt.java:[28,1183] BooleanUtils cannot be resolved
    [ERROR] -> [Help 1]
    [ERROR]
    [ERROR] To see the full stack trace of the errors, re-run Maven with the -e switch.
    [ERROR] Re-run Maven using the -X switch to enable full debug logging.
    [ERROR]
    [ERROR] For more information about the errors and possible solutions, please read the following articles:
    [ERROR] [Help 1] http://cwiki.apache.org/confluence/display/MAVEN/MojoFailureException
    Picked up _JAVA_OPTIONS: -Djdk.net.URLClassPath.disableClassPathURLCheck=true
    Exception in thread "main" java.lang.RuntimeException: Error running command, return status !=0: [sh, C:\users\samuel\BuildTools\apache-maven-3.6.0/bin/mvn, clean, install]
            at org.spigotmc.builder.Builder.runProcess0(Builder.java:761)
            at org.spigotmc.builder.Builder.runProcess(Builder.java:696)
            at org.spigotmc.builder.Builder.main(Builder.java:541)
            at org.spigotmc.builder.Bootstrap.main(Bootstrap.java:40)

     
    Ran this in fresh directory.
     
  6. retry
     
    • Optimistic Optimistic x 1
  7. Hello guys,
    I got a problem by converting a 1.13.2 spigot world to 1.14-pre5 (rev. 2159) it get stuck on:
    [Server-Worker-3/INFO]: Preparing spawn area: 100%
    I can't even stop the server I have to kill the process in order to stop the server.
    I also started the server with the --forceUpgrade flag.

    Thank you,
    Totten98.

    P.S.: Sorry for bad english
     

    Attached Files:

    • Funny Funny x 1
  8. Really? That'd be a severe regression though :/
     
  9. The number of slots which was previously set in the Open Window packet has been removed from the packet with seemingly no replacement for it (https://wiki.vg/Pre-release_protocol#Open_Window), so I wouldn't be surprised if this is actually the case.
     
    • Informative Informative x 1
  10. @md_5
    Just wondering about the future of the api versioning system for plugins... Does this mean it's going to be impossible to build a plugin using the 1.14 spigot jar (and future versions) that will run on 1.13 and 1.14? Even if the plugin automatically disables the 1.14 features if it detects 1.13?
     
    #70 dNiym, Apr 23, 2019
    Last edited: Apr 23, 2019
  11. That is bad news. I wonder why Mojang did change that...
     
  12. Nope still the same issue.

    Anyone else care to help?
     
    • Informative Informative x 2
  13. Really appreciate all your awesome hard work, thanks so much!!!!
     
  14. Having the same issue
     
  15. I seem to have the same issue, I made a bug report at https://hub.spigotmc.org/jira/projects/SPIGOT/issues/SPIGOT-4720
     
  16. Does this have impact on the Spigot API though? As in, will the clicked slot int from inventory interact events change? Because that's a pretty serious one for me. I need to read the full changelog when I get home in a few hours.
     
  17. Good Job! And Round of Applause.